import Vue from 'vue'
import keys from "./keys.js";


export default {
	install(Vue) {
		Vue.prototype.$keys = keys;
		Vue.prototype.$defaultHadPhoto =
			"https://yigefuwuapp.ycbrain.com/upload/2024/02/22/54e58f2149334f8b8e54f1d6150d601b.png";



		/**
		 * 任务状态说明
		 * checkStatus 审状态（0未提交,1待审核,2驳回,3审核通过）
		 */
		Object.defineProperty(Vue.prototype, '$TaskStatusText', {
			value: (status) => {
				let text = "";
				if (status >= 0) {
					switch (status) {
						case 0:
							text = "未提交";
							break;
						case 1:
							text = "待审核";
							break;
						case 2:
							text = "驳回";
							break;
						case 3:
							text = "审核通过";
							break;
					}
				}
				return text
			}
		})


	}
}